

Fix some silliness in there.


---

 25-akpm/kernel/workqueue.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN kernel/workqueue.c~create_workqueue-locking-bogon kernel/workqueue.c
--- 25/kernel/workqueue.c~create_workqueue-locking-bogon	2004-05-11 03:28:54.017071872 -0700
+++ 25-akpm/kernel/workqueue.c	2004-05-11 03:35:12.457540176 -0700
@@ -325,7 +325,7 @@ struct workqueue_struct *__create_workqu
 	} else {
 		spin_lock(&workqueue_lock);
 		list_add(&wq->list, &workqueues);
-		spin_unlock_irq(&workqueue_lock);
+		spin_unlock(&workqueue_lock);
 		for_each_online_cpu(cpu) {
 			p = create_workqueue_thread(wq, cpu);
 			if (p) {
@@ -377,7 +377,7 @@ void destroy_workqueue(struct workqueue_
 			cleanup_workqueue_thread(wq, cpu);
 		spin_lock(&workqueue_lock);
 		list_del(&wq->list);
-		spin_unlock_irq(&workqueue_lock);
+		spin_unlock(&workqueue_lock);
 	}
 	unlock_cpu_hotplug();
 	kfree(wq);

_
